com.pixelmed.network

## Class CStoreResponseCommandMessage

- java.lang.Object
- - com.pixelmed.network.CStoreResponseCommandMessage

    public class CStoreResponseCommandMessage
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CStoreResponseCommandMessage(AttributeList list)`
`CStoreResponseCommandMessage(java.lang.String affectedSOPClassUID, java.lang.String affectedSOPInstanceUID, int messageIDBeingRespondedTo, int status)`

### Method Summary

Methods
`java.lang.String` `getAffectedSOPClassUID()`
`java.lang.String` `getAffectedSOPInstanceUID()`
`byte[]` `getBytes()`
`int` `getCommandField()`
`int` `getGroupLength()`
`int` `getMessageIDBeingRespondedTo()`
`int` `getStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CStoreResponseCommandMessage

    public CStoreResponseCommandMessage(AttributeList list)
                                 throws DicomException,
                                        java.io.IOException

Parameters:
  `list` -
Throws:
  `java.io.IOException`
  `DicomException`

#### CStoreResponseCommandMessage

    public CStoreResponseCommandMessage(java.lang.String affectedSOPClassUID,
                                java.lang.String affectedSOPInstanceUID,
                                int messageIDBeingRespondedTo,
                                int status)
                                 throws DicomException,
                                        java.io.IOException

Parameters:
  `affectedSOPClassUID` -
  `affectedSOPInstanceUID` -
  `messageIDBeingRespondedTo` -
  `status` -
Throws:
  `java.io.IOException`
  `DicomException`

### Method Detail

#### getGroupLength

    public int getGroupLength()

#### getAffectedSOPClassUID

    public java.lang.String getAffectedSOPClassUID()

#### getCommandField

    public int getCommandField()

#### getMessageIDBeingRespondedTo

    public int getMessageIDBeingRespondedTo()

#### getStatus

    public int getStatus()

#### getAffectedSOPInstanceUID

    public java.lang.String getAffectedSOPInstanceUID()

#### getBytes

    public byte[] getBytes()